Subject: Re: bug#8389: feature proposal: chng login vc-rcs-checkin

From: Uwe Brauer <[email-masked]>
Date: Wed, 11 May 2022 14:34:52 +0200

>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:

> Uwe Brauer <[email-masked]> writes:
>> When collaborating with someone I find it useful to use vc
>> (rcs) and change the login accordingly when I checkin a new
>> version. The following code does it, but maybe there are
>> more sophisticated versions possible.

> [...]

>> (if vc-rcs-ask-for-login 
>> (if (y-or-n-p (format "Do you want to change the login  "))
>> (concat "-w" (read-string "Enter New login: "))

> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)

> This seems like quite niche functionality, so I don't think it would be
> appropriate for Emacs, so keeping it as a local customisation is
> probably best.

> Furthermore, rcs doesn't seem to have a -w switch (at least on Debian)
> these days:

> $ rcs -w
> rcs: unknown option: -w

Right, I have written this a long time ago, and switched to mercurial and don't use RCS not anymore.

-- 
I strongly condemn Putin's war of aggression against the Ukraine.
I support to deliver weapons to Ukraine's military. 
I support the ban of Russia from SWIFT.
I support the EU membership of the Ukraine.